////////////////////////////////////////////////////////////////////////
// pixel02.c
// Calculating the addresses of the display
// Mochilote - www.cpcmania.com
////////////////////////////////////////////////////////////////////////
#include <stdio.h>
#include <stdlib.h>


unsigned char *GetLineAddress(unsigned char nLine)
{
	return (unsigned char *)0xC000 + ((nLine / 8) * 80) + ((nLine % 8) * 2048);
}


void main()
{
	unsigned char *pScreen = (unsigned char *)0xC000;
	unsigned int nByte = 0;
	unsigned int nLine = 0;

	//SCR_SET_MODE 0
	__asm
		ld	a, #0
		call	#0xBC0E
	__endasm;

	for(nLine = 0; nLine < 200; nLine++)
	{
		pScreen = GetLineAddress(nLine);

		for(nByte = 0; nByte < 80; nByte++)
			pScreen[nByte] = (unsigned char)(rand() % 256);
	}

	//KM_WAIT_CHAR	
	__asm
		call #0xBB06
	__endasm;	
}
